明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 4823|回复: 26

[源码] 源码 线转矩形

[复制链接]
发表于 2014-4-1 14:22 | 显示全部楼层 |阅读模式




本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

点评

楼主银财啊  发表于 2014-4-3 20:15

评分

参与人数 2明经币 +2 收起 理由
风树 + 1 有用不在难易
lucas_3333 + 1 神马都是浮云

查看全部评分

本帖被以下淘专辑推荐:

发表于 2014-4-1 14:55 | 显示全部楼层
支持源码!谢谢!
发表于 2014-4-1 15:10 | 显示全部楼层
楼主的创意很好,这个画斜的矩形很方便!
发表于 2014-4-1 15:59 | 显示全部楼层
楼主的创意很好,不过好像看过类似的
发表于 2014-4-1 16:35 | 显示全部楼层
有什么区别,这两个源码?
发表于 2014-4-1 17:37 | 显示全部楼层
改为单向偏移更好
发表于 2014-4-1 18:16 | 显示全部楼层
(defun c:TT ( / ang e end i lst p  ss sta)
  (if (not **W**) (setq **W** 1.00))
  (setq **W** (cond((getdist(strcat "\n输入宽度 <"(rtos **W** 2 2) ">: ")))(**W**)))  
   (if (setq ss (ssget '((0 . "LWPOLYLINE,LINE"))))
          (repeat (setq i (sslength ss))
                          (setq e   (ssname ss (Setq i (1- i)))
                              sta (vlax-curve-getStartPoint e)
                              end (vlax-curve-getEndPoint e)
                              ang (angle sta end)
                              lst (list (polar sta (+ ang (* 0.5 pi)) (* 0.5 **W**))
                                        (polar sta (- ang (* 0.5 pi)) (* 0.5 **W**))
                                        (polar end (- ang (* 0.5 pi)) (* 0.5 **W**))
                                        (polar end (+ ang (* 0.5 pi)) (* 0.5 **W**))
                                        )
                              )
(entmakex (append (list (cons 0 "LWPOLYLINE")
                        (cons 100 "AcDbEntity")
                        (cons 100 "AcDbPolyline")
                        (cons 90 (length lst) )
                        (cons 70 1 )
              )
              (mapcar(function (lambda (p) (cons 10 p))) lst)
              ))       
        (entdel e)
   ))
(princ)
)
发表于 2014-4-1 20:18 | 显示全部楼层
Q1241274614 发表于 2014-4-1 18:16
(defun c:TT ( / ang e end i lst p  ss sta)
  (if (not **W**) (setq **W** 1.00))
  (setq **W** (con ...

不错,有创意。有一定实用价值。
发表于 2014-4-2 09:05 | 显示全部楼层
楼主,能否改为由下往上单向偏移吗?
 楼主| 发表于 2014-4-2 11:42 | 显示全部楼层
cxs259 发表于 2014-4-2 09:05
楼主,能否改为由下往上单向偏移吗?

简单之极,但我只提供“渔法”,既然源码都有了,还不愿自己动动手么?
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2020-2-21 14:21 , Processed in 0.189799 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表